petsc-3.10.5 2019-03-28
Report Typos and Errors

# MATSEQAIJCUSPARSE

MATAIJCUSPARSE = "(seq)aijcusparse" - A matrix type to be used for sparse matrices. A matrix type type whose data resides on Nvidia GPUs. These matrices can be in either CSR, ELL, or Hybrid format. The ELL and HYB formats require CUDA 4.2 or later. All matrix calculations are performed on Nvidia GPUs using the CUSPARSE library.

### Options Database Keys

| -mat_type aijcusparse | - sets the matrix type to "seqaijcusparse" during a call to MatSetFromOptions()
| -mat_cusparse_storage_format csr | - sets the storage format of matrices (for MatMult and factors in MatSolve) during a call to MatSetFromOptions(). Other options include ell (ellpack) or hyb (hybrid).
| -mat_cusparse_mult_storage_format csr | - sets the storage format of matrices (for MatMult) during a call to MatSetFromOptions(). Other options include ell (ellpack) or hyb (hybrid).

### See Also

MatCreateSeqAIJCUSPARSE(), MATAIJCUSPARSE, MatCreateAIJCUSPARSE(), MatCUSPARSESetFormat(), MatCUSPARSEStorageFormat, MatCUSPARSEFormatOperation

### Level

beginner

### Location

src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages